#include "../Graphics/Tile.h"

namespace graphics
{
	Tile::Tile(): provider(NULL) {}

	Tile::Tile(assets::Tile &given_provider, gge::animation::Timer &timer):
	provider(&given_provider) {}

	void Tile::initialize(assets::Tile &given_provider, gge::animation::Timer &timer)
	{
		provider  = &given_provider;
		animation = &provider->graphic->CreateAnimation(timer);
	}

	Animation *fogAnim=NULL;
	Animation *unchartedAnim=NULL;

}
